package io.dcloud.streamsdksample.activity;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.Window;
import android.webkit.JavascriptInterface;
import android.widget.RelativeLayout;
import android.widget.Toast;

import io.dcloud.StreamSDK;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.DHInterface.IWebviewStateListener;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.feature.internal.sdk.SDK;

/**
 * 以webview控件方式集成流sdk，
 */
public class SDK_WebView extends Activity {
    IWebview mIwebview;
    @Override
    public void onCreate(Bundle savedInstanceState) {
        Logger.e("SDK_WebView","onCreate");
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        //当前activity的contentView
        final RelativeLayout rootView = new RelativeLayout(this);
        //url地址可为本地地址  也可为网络地址
        //String url = "file:///android_asset/apps/HelloH5/www/index.html";
        String url = "http://demo.dcloud.net.cn/hwdemo/index.html";
        //String url = "file:///storage/emulated/0/downloader.html";
        setContentView(rootView);

        //在用DCloud webview 加载网页之前  请确保它已经被初始化完毕。
        boolean isInited= StreamSDK.getInstance(SDK_WebView.this).initDCloudWebview(this);
        if (isInited){
            StreamSDK.getInstance(SDK_WebView.this).loadDCloudWebview(this, url, new IWebviewStateListener() {
                @Override
                public Object onCallBack(int pType, Object pArgs) {
                    switch (pType) {
                        case IWebviewStateListener.ON_WEBVIEW_READY:
                            Logger.e("SDK_WebView", "ON_WEBVIEW_READY");
                            // 准备完毕之后添加webview到显示父View中，设置排版不显示状态，避免显示webview时，html内容排版错乱问题
                            //((IWebview) pArgs).obtainFrameView().obtainMainView().setVisibility(View.INVISIBLE);
                            mIwebview=(IWebview)pArgs;

                            //将获取到的app的首页面附着到指定的ViewGroup 默认充满父容器
                            SDK.attach(rootView, ((IWebview) pArgs));

                            //也可通过下面的代码设置显示大小
                            /*RelativeLayout.LayoutParams layoutParams=new RelativeLayout.LayoutParams(300,300);
                            layoutParams.setMargins(5, 5, 5, 5);
                            SDK.attach(rootView,mIwebview.obtainApp(),mIwebview, layoutParams);*/
                            //对5+webview扩展新的js通道
                            mIwebview.obtainWebview().addJavascriptInterface(new SDK_WebView.JsInterFace(SDK_WebView.this), "JsInterFace");
                            break;
                        case IWebviewStateListener.ON_PAGE_STARTED:
                            // 首页面开始加载事件
                            Logger.e("SDK_WebView", "ON_PAGE_STARTED");
                            break;
                        case IWebviewStateListener.ON_PROGRESS_CHANGED:
                            // 首页面加载进度变化
                            Logger.e("SDK_WebView", "ON_PROGRESS_CHANGED");
                            break;
                        case IWebviewStateListener.ON_PAGE_FINISHED:
                            // 页面加载完毕，设置显示webview
                            Logger.e("SDK_WebView", "ON_PAGE_FINISHED");
                            //mIwebview.obtainFrameView().obtainMainView().setVisibility(View.VISIBLE);
                            break;
                    }
                    return null;
                }
            });
        }
    }

    /**
     * 扩展js通道
     */
    private class JsInterFace {
        Context mContext;
        JsInterFace(Context context) {
            this.mContext = context;
        }
        @JavascriptInterface
        public void showToast(String msg) {
            Toast toast=Toast.makeText(getApplicationContext(), msg, Toast.LENGTH_SHORT);
            toast.show();
        }

    }
}


