package io.dcloud.streamsdksample.activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

import java.util.HashMap;

import io.dcloud.StreamSDK;
import io.dcloud.common.util.DialogUtil;

/**
 * 中转activity
 */
public class TransitActivity extends Activity {
    public static final String TAG = TransitActivity.class.getSimpleName();
    public static final String FROM_SHORT_CUT_START = "from_short_cut_start";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        Log.e(TAG, "onCreate:");
        super.onCreate(savedInstanceState);


        //处理
        process();
    }

    /**
     * 处理“温馨提示”弹框逻辑
     */
    public void process() {
        Intent mIntent = getIntent();
        Boolean isShortcut = mIntent.getBooleanExtra(FROM_SHORT_CUT_START, false);
        if (isShortcut) {//从桌面快捷方式启动
            Log.e(TAG, "process:isShortcut");
            StreamSDK.getInstance(this).startStreamApp(mIntent);
            finish();
        /*
            此处添加“温馨提示”弹框代码实现，注意用户选择“开始使用”后调以下api
                StreamSDK.getInstance(this).startStreamApp(mIntent);
            进入流应用

        */


        } else if (mIntent.getDataString() != null) {//从scheme启动
            Log.e(TAG, "process:从scheme启动");
        /*
            此处添加“温馨提示”弹框代码实现，注意用户选择“开始使用”后调以下api
                StreamSDK.getInstance(this).startStreamApp(mIntent);
            进入流应用

         */


        }

    }
}
